//
//  BSAAdView.h
//  BSAAdFramework
//
//  Created by Rick Fillion on 6/30/10.
//  Copyright 2010 BuySellAds. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BSAAdViewDelegate.h"

@class BSAAd;


/**
 @brief The BSAAdView class is the super class that should be used
 for all views representing ads in a BSAAdContainerView.
 
 */
@interface BSAAdView : NSButton {
    BSAAd *ad;
    id<BSAAdViewDelegate> delegate;
}

/// The ad associated with this view
@property (nonatomic, retain) BSAAd *ad;
/// The delegate, which should only ever be an instance of BSAAdContainerView
/// Otherwise stats will likely not get reported properly to the BSA server.
@property (nonatomic, assign) id<BSAAdViewDelegate> delegate;

@end
